Subject: Re: [PATCH 1/3] add USB setup code for 8349emds PB

From: Arnd Bergmann <[email-masked]>
Date: Wed, 7 Feb 2007 11:44:29 +0100

On Wednesday 07 February 2007 11:10, Li Yang-r58472 wrote:
> How about a non-PCI ehci driver for all architectures (such as arm, m68k)?
> Then, platform_bus is a more generic interface than of_platform. 

Yes, that's right. The main difference is that if you scan all of devices
at boot time, you already have a node for the USB controller and you
shouldn't need to create another node that does not reflect the actual
hierarchy in the linux device tree.

A platform_device is really meant to be 'something that can't be probed
but we know it is there', like the interrupt controller on a PC.
With the of device tree, we can probe anything, so ideally, we should
not need to create any platform devices at all.

	Arnd <><